Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrConfiguration.RepositoryBuilder<ReturnType>

    java.lang.Object
      org.modeshape.repository.ModeShapeConfiguration.BaseReturnable<ReturnType>
          org.modeshape.repository.ModeShapeConfiguration.GraphReturnable<ReturnType,JcrConfiguration.RepositoryDefinition<ReturnType>>
              org.modeshape.jcr.JcrConfiguration.RepositoryBuilder<ReturnType>

All Implemented Interfaces:
  JcrConfiguration.RepositoryDefinition<ReturnType>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<JcrConfiguration.RepositoryDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<JcrConfiguration.RepositoryDefinition<ReturnType>>

Enclosing class:
  JcrConfiguration

    protected class JcrConfiguration.RepositoryBuilder<ReturnType>

extends ModeShapeConfiguration.GraphReturnable<ReturnType,JcrConfiguration.RepositoryDefinition<ReturnType>>
implements JcrConfiguration.RepositoryDefinition<ReturnType>

Field Summary

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`batch, context, path`

Fields inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`returnObject`

Constructor Summary
`protected` | `JcrConfiguration.RepositoryBuilder(ReturnType returnObject, Graph.Batch batch, Path path, Name... names)`

Method Summary
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `addNodeTypes(File file)` Specify that the CND file is to be loaded into the repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `addNodeTypes(InputStream cndContent)` Specify that the CND file is to be loaded into the repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `addNodeTypes(String pathToCndFile)` Specify that the CND file located at the supplied path should be loaded into the repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `addNodeTypes(URL url)` Specify that the CND file is to be loaded into the repository.
`JcrConfiguration.AuthenticatorDefinition<? extends JcrConfiguration.RepositoryDefinition<ReturnType>>` | `authenticator(String name)` Obtain or create a definition for the `authentication provider` with the supplied name or identifier.
`protected CndImporter` | `createCndImporter()`
`String` | `getOption(JcrRepository.Option option)` Get the value for the repository option.
`String` | `getSource()` Get the name of the repository source that is to be used by this JCR repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `registerNamespace(String prefix, String uri)` Specify the namespace binding that should be made available in this repository.
`protected void` | `registerNewNamespaces(Set<NamespaceRegistry.Namespace> namespacesBefore)`
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setInitialContent(File file, String firstWorkspace, String... otherWorkspaces)` Specify the location of the file containing the initial content for the repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setInitialContent(String path, String firstWorkspace, String... otherWorkspaces)` Specify the location of the file containing the initial content for the repository.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, boolean value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, double value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, float value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, int value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, long value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setOption(JcrRepository.Option option, String value)` Specify the repository option that is to be set.
`JcrConfiguration.RepositoryDefinition<ReturnType>` | `setSource(String sourceName)` Specify the name of the repository source that is to be used by this JCR repository.
`protected JcrConfiguration.RepositoryDefinition<ReturnType>` | `thisType()`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.GraphReturnable
`createIfMissing, createIfMissing, createIfMissing, getDescription, getName, getProperty, getProperty, remove, setDescription, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, subpath`

Methods inherited from class org.modeshape.repository.ModeShapeConfiguration.BaseReturnable
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.jcr.JcrConfiguration.RepositoryDefinition
`getName`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Constructor Detail

### JcrConfiguration.RepositoryBuilder

    protected JcrConfiguration.RepositoryBuilder(ReturnType returnObject,
                                                 Graph.Batch batch,
                                                 Path path,
                                                 Name... names)

Method Detail

### thisType

    protected JcrConfiguration.RepositoryDefinition<ReturnType> thisType()

  Specified by:
    `thisType` in class `ModeShapeConfiguration.GraphReturnable<ReturnType,JcrConfiguration.RepositoryDefinition<ReturnType>>`

### setSource

    public JcrConfiguration.RepositoryDefinition<ReturnType> setSource(String sourceName)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the name of the repository source that is to be used by this JCR repository.

  Specified by:
    `setSource` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `sourceName` - the name of the repository source that should be exposed by this JCR repository
  Returns:
    the interface used to set the value for the property; never null

### getSource

    public String getSource()

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Get the name of the repository source that is to be used by this JCR repository.

  Specified by:
    `getSource` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Returns:
    the source name, or null if it has not yet been set

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       String value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       boolean value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       int value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       long value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       float value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### setOption

    public JcrConfiguration.RepositoryDefinition<ReturnType> setOption(JcrRepository.Option option,
                                                                       double value)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the repository option that is to be set.

  Specified by:
    `setOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option to be set
    `value` - the new value for the option
  Returns:
    the interface used to set the value for the property; never null

### getOption

    public String getOption(JcrRepository.Option option)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Get the value for the repository option.

  Specified by:
    `getOption` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `option` - the option
  Returns:
    the current option value, which may be null if the option has not been set (and its default would be used)

### registerNamespace

    public JcrConfiguration.RepositoryDefinition<ReturnType> registerNamespace(String prefix,
                                                                               String uri)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify the namespace binding that should be made available in this repository.

  Specified by:
    `registerNamespace` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `prefix` - the namespace prefix; may not be null or empty, and must be a valid prefix
    `uri` - the uri for the namespace; may not be null or empty
  Returns:
    the interface used to set the value for the property; never null

### addNodeTypes

    public JcrConfiguration.RepositoryDefinition<ReturnType> addNodeTypes(String pathToCndFile)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify that the CND file located at the supplied path should be loaded into the repository.

  This method may be called multiple times, once per CND file.

  Specified by:
    `addNodeTypes` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `pathToCndFile` - the path to the CND file
  Returns:
    this object for chained method invocation

### setInitialContent

    public JcrConfiguration.RepositoryDefinition<ReturnType> setInitialContent(String path,
                                                                               String firstWorkspace,
                                                                               String... otherWorkspaces)

  Specify the location of the file containing the initial content for the repository.

  Specified by:
    `setInitialContent` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `path` - the path to the file containing the initial content; may not be null or empty
    `firstWorkspace` - the first workspace in which this content should be loaded
    `otherWorkspaces` - additional workspaces in which this content should be loaded
  Returns:
    the interface used to set the value for the property; never null
  See Also:
    `JcrConfiguration.RepositoryDefinition.setInitialContent(java.lang.String, java.lang.String, java.lang.String[])`

### setInitialContent

    public JcrConfiguration.RepositoryDefinition<ReturnType> setInitialContent(File file,
                                                                               String firstWorkspace,
                                                                               String... otherWorkspaces)

  Specify the location of the file containing the initial content for the repository.

  Specified by:
    `setInitialContent` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `file` - the file containing the initial content; may not be null, and must exist and be readable
    `firstWorkspace` - the first workspace in which this content should be loaded
    `otherWorkspaces` - additional workspaces in which this content should be loaded
  Returns:
    the interface used to set the value for the property; never null
  See Also:
    `JcrConfiguration.RepositoryDefinition.setInitialContent(java.io.File, java.lang.String, java.lang.String[])`

### addNodeTypes

    public JcrConfiguration.RepositoryDefinition<ReturnType> addNodeTypes(File file)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify that the CND file is to be loaded into the repository.

  Specified by:
    `addNodeTypes` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `file` - the CND file
  Returns:
    this object for chained method invocation

### addNodeTypes

    public JcrConfiguration.RepositoryDefinition<ReturnType> addNodeTypes(URL url)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify that the CND file is to be loaded into the repository.

  This method may be called multiple times, once per CND file.

  Specified by:
    `addNodeTypes` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `url` - the URL of the CND file
  Returns:
    this object for chained method invocation

### addNodeTypes

    public JcrConfiguration.RepositoryDefinition<ReturnType> addNodeTypes(InputStream cndContent)

  Description copied from interface: `JcrConfiguration.RepositoryDefinition`
  Specify that the CND file is to be loaded into the repository.

  This method may be called multiple times, once per CND file.

  Specified by:
    `addNodeTypes` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `cndContent` - the stream containing the CND content
  Returns:
    this object for chained method invocation

### registerNewNamespaces

    protected void registerNewNamespaces(Set<NamespaceRegistry.Namespace> namespacesBefore)

### createCndImporter

    protected CndImporter createCndImporter()

### authenticator

    public JcrConfiguration.AuthenticatorDefinition<? extends JcrConfiguration.RepositoryDefinition<ReturnType>> authenticator(String name)

  Obtain or create a definition for the `authentication provider` with the supplied name or identifier. A new definition will be created if there currently is no authenticator defined with the supplied name.

  Specified by:
    `authenticator` in interface `JcrConfiguration.RepositoryDefinition<ReturnType>`
  Parameters:
    `name` - the name or identifier of the authenticator
  Returns:
    the details of the authenticator definition; never null
  See Also:
    `JcrConfiguration.RepositoryDefinition.authenticator(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.